
/* since store.h included in application, everything is made static
   except when required by tts api */

#include "avl.h"

/* imported from tts code */
static size_t pack_value();
static size_t unpack_value();
static int    compare_packed_value();
static int    compare_value();              /* unused */
static size_t get_size();

/* exported by storage library */
static int init_storage();
static int finalize_storage();
static key store_state();
static void *lookup_state();

#include "avl.c"

#define lookup(k) (lookup_state(k))
#define store(s)  (store_state(s))

